Interface OpenshiftBuildConfigsEndpointBuilderFactory.OpenshiftBuildConfigsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
OpenshiftBuildConfigsEndpointBuilderFactory
public static interface OpenshiftBuildConfigsEndpointBuilderFactory.OpenshiftBuildConfigsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionOpenshift Build Config (camel-kubernetes) Perform operations on OpenShift Build Configs.openshiftBuildConfigs(String path) Openshift Build Config (camel-kubernetes) Perform operations on OpenShift Build Configs.openshiftBuildConfigs(String componentName, String path) Openshift Build Config (camel-kubernetes) Perform operations on OpenShift Build Configs.
-
Method Details
-
openshiftBuildConfigs
default OpenshiftBuildConfigsEndpointBuilderFactory.OpenshiftBuildConfigsHeaderNameBuilder openshiftBuildConfigs()Openshift Build Config (camel-kubernetes) Perform operations on OpenShift Build Configs. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
openshiftBuildConfigs
default OpenshiftBuildConfigsEndpointBuilderFactory.OpenshiftBuildConfigsEndpointBuilder openshiftBuildConfigs(String path) Openshift Build Config (camel-kubernetes) Perform operations on OpenShift Build Configs. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:openshift-build-configs:masterUrlPath parameter: masterUrl (required) URL to a remote Kubernetes API server. This should only be used when your Camel application is connecting from outside Kubernetes. If you run your Camel application inside Kubernetes, then you can use local or client as the URL to tell Camel to run in local mode. If you connect remotely to Kubernetes, then you may also need some of the many other configuration options for secured connection with certificates, etc.- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
openshiftBuildConfigs
default OpenshiftBuildConfigsEndpointBuilderFactory.OpenshiftBuildConfigsEndpointBuilder openshiftBuildConfigs(String componentName, String path) Openshift Build Config (camel-kubernetes) Perform operations on OpenShift Build Configs. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:openshift-build-configs:masterUrlPath parameter: masterUrl (required) URL to a remote Kubernetes API server. This should only be used when your Camel application is connecting from outside Kubernetes. If you run your Camel application inside Kubernetes, then you can use local or client as the URL to tell Camel to run in local mode. If you connect remotely to Kubernetes, then you may also need some of the many other configuration options for secured connection with certificates, etc.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-